import { AdaptableStyle } from '../../AdaptableState/Common/AdaptableStyle';
import { ApiBase } from './ApiBase';
import { QuickSearchApi } from '../QuickSearchApi';
import { QuickSearchState } from '../../AdaptableState/QuickSearchState';
export declare class QuickSearchApiImpl extends ApiBase implements QuickSearchApi {
    getQuickSearchState(): QuickSearchState;
    runQuickSearch(quickSearchText: string): void;
    clearQuickSearch(): void;
    gotoNextMatch(): void;
    gotoPreviousMatch(): void;
    getQuickSearchValue(): string;
    getQuickSearchStyle(): AdaptableStyle;
    getQuickSearchTextMatchStyle(): AdaptableStyle | undefined;
    getQuickSearchCurrentTextMatchStyle(): AdaptableStyle | undefined;
    setQuickSearchStyle(style: AdaptableStyle): void;
    openQuickSearchSettingsPanel(): void;
    showFloatingQuickSearch(): void;
    hideFloatingQuickSearch(): void;
}
